boinc in trunk

Message boards : API : boinc in trunk
Message board moderation

To post messages, you must log in.

AuthorMessage
dagg

Send message
Joined: 15 May 07
Posts: 54
Message 15140 - Posted: 28 Jan 2008, 6:29:48 UTC

hello, I've downloaded the source code from the trunk a few days ago and I wanted to know what version is it?

the file configure.ac has this:
AC_INIT(BOINC, 6.1.7)

one more question, what file contains which directories are needed to compile?
ID: 15140 · Report as offensive
Nicolas

Send message
Joined: 19 Jan 07
Posts: 1174
Argentina
Message 15147 - Posted: 28 Jan 2008, 18:18:47 UTC - in response to Message 15140.  

hello, I've downloaded the source code from the trunk a few days ago and I wanted to know what version is it?

the file configure.ac has this:
AC_INIT(BOINC, 6.1.7)

If you're trying to compile the client, don't use trunk. Use a tag for the version you want to compile.

If you're trying to compile the server, or the API for a science application, there isn't really a version number for those. 6.1.7 is "the version of the core client that happens to be along with this server and API".

The SVN revision number is a good way to identify server and API versions.

one more question, what file contains which directories are needed to compile?

It's on Makefiles everywhere. But you shouldn't need that information, just do ./_autosetup && ./configure (add --disable-server and/or --disable-client here depending on what you want) && make

ID: 15147 · Report as offensive
dagg

Send message
Joined: 15 May 07
Posts: 54
Message 15149 - Posted: 28 Jan 2008, 20:37:12 UTC - in response to Message 15147.  

hello, I've downloaded the source code from the trunk a few days ago and I wanted to know what version is it?

the file configure.ac has this:
AC_INIT(BOINC, 6.1.7)

If you're trying to compile the client, don't use trunk. Use a tag for the version you want to compile.

If you're trying to compile the server, or the API for a science application, there isn't really a version number for those. 6.1.7 is "the version of the core client that happens to be along with this server and API".

The SVN revision number is a good way to identify server and API versions.

one more question, what file contains which directories are needed to compile?

It's on Makefiles everywhere. But you shouldn't need that information, just do ./_autosetup && ./configure (add --disable-server and/or --disable-client here depending on what you want) && make


thanks :)
ID: 15149 · Report as offensive

Message boards : API : boinc in trunk

Copyright © 2021 University of California. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation.